# Pushover Action

A [GitHub Action](https://github.com/features/actions) / [Gitea Action](https://docs.gitea.com/usage/actions/overview) to send a message via Pushover.

You can use the Action as follows:

```yaml
name: Build
on:
  push:
    branches:
      - main
jobs:
  build:
    runs-on: ubuntu-latest
    steps:
      - uses: actions/checkout@master
      - uses: https://git.tainton.uk/actions/pushover-action@v1.0.0
        env:
          PUSHOVER_APP_TOKEN: xxx
          PUSHOVER_USER_TOKEN: xxx
        with:
          message: ${{ github.event.head_commit.message }}
```

## Properties

For more info on what a property means, see the Pushover API [documentation](https://pushover.net/api).

| Property    | Description                                   | Required? |
| ----------- | --------------------------------------------- | --------- |
| `message`   | Message to send                               | Yes       |
| `title`     | Message title                                 | No        |
| `device`    | Registered device to send the message to      | No        |
| `priority`  | Priority of the message                       | No        |
| `sound`     | Sound to use when delivering the notification | No        |
| `url`       | URL to present in the notification            | No        |
| `url_title` | Button name to use for the URL link           | No        |
